Index: NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/ICE/icethd_pnd.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/ICE/icethd_pnd.F90	(revision 12605)
+++ NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/ICE/icethd_pnd.F90	(revision 12686)
@@ -133,5 +133,4 @@
       REAL(wp), PARAMETER ::   zpnd_aspect = 0.8_wp   ! pond aspect ratio
       REAL(wp), PARAMETER ::   zTp         = -2._wp   ! reference temperature
-      REAL(wp), PARAMETER ::   max_h_diff_s = -1.0E-6 ! Maximum meltpond depth change due to leaking or overflow (m s-1)
       REAL(wp), PARAMETER ::   pnd_lid_max = 0.015_wp ! pond lid thickness above which the ponds disappear from the albedo calculation
       REAL(wp), PARAMETER ::   pnd_lid_min = 0.005_wp ! pond lid thickness below which the full pond area is used in the albedo calculation
@@ -149,6 +148,5 @@
       REAL(wp) ::   lh_ip_end        ! Lid thickness at end of timestep (temporary variable)
       REAL(wp) ::   zdh_frz          ! Amount of melt pond that freezes (m)
-      REAL(wp) ::   v_ip_old         ! Pond volume before leaking back to the ocean
-      REAL(wp) ::   dh_ip_over       ! Pond thickness change due to overflow or leaking
+      REAL(wp) ::   dh_ip_over       ! Pond thickness change due to leaking
       REAL(wp) ::   dh_i_pndleak     ! Grid box mean change in water depth due to leaking back to the ocean
       REAL(wp) ::   h_gravity_head   ! Height above sea level of the top of the melt pond
@@ -168,5 +166,4 @@
       z1_Tp          = 1._wp / zTp 
       z1_rhoi        = 1._wp / rhoi
-      max_h_diff_ts  = max_h_diff_s * rdt_ice
 
       ! Define time-independent field for use in refreezing
@@ -266,8 +263,5 @@
                ! If pond area exceeds zfr_mlt * a_i_1d(ji) then reduce the pond volume
                IF ( a_ip_1d(ji) > zfr_mlt * a_i_1d(ji) ) THEN
-                   v_ip_old = v_ip_1d(ji)   ! Save original volume before leak for future use
-                   dh_ip_over = zpnd_aspect * zfr_mlt - h_ip_1d(ji)   ! This will be a negative number
-                   dh_ip_over = MAX(dh_ip_over,max_h_diff_ts)                       ! Apply a limit
-                   h_ip_1d(ji) = MAX(0._wp, h_ip_1d(ji) + dh_ip_over)
+                   h_ip_1d(ji) = zpnd_aspect * zfr_mlt
                    a_ip_frac_1d(ji) = h_ip_1d(ji) / zpnd_aspect
                    a_ip_1d(ji) = a_ip_frac_1d(ji) * a_i_1d(ji)
@@ -277,8 +271,5 @@
                ! If pond depth exceeds half the ice thickness then reduce the pond volume
                IF ( h_ip_1d(ji) > 0.5_wp * h_i_1d(ji) ) THEN
-                   v_ip_old = v_ip_1d(ji)   ! Save original volume before leak for future use
-                   dh_ip_over = 0.5_wp * h_i_1d(ji) - h_ip_1d(ji)                ! This will be a negative number
-                   dh_ip_over = MAX(dh_ip_over,max_h_diff_ts)                       ! Apply a limit
-                   h_ip_1d(ji) = MAX(0._wp, h_ip_1d(ji) + dh_ip_over)
+                   h_ip_1d(ji) = 0.5_wp * h_i_1d(ji)
                    a_ip_frac_1d(ji) = h_ip_1d(ji) / zpnd_aspect
                    a_ip_1d(ji) = a_ip_frac_1d(ji) * a_i_1d(ji)
@@ -309,6 +300,4 @@
                    dh_ip_over = MIN(dh_ip_over, 0._wp)      ! Make sure it is negative
 
-                   v_ip_old = v_ip_1d(ji)   ! Save original volume before leak for future use
-                   dh_ip_over = MAX(dh_ip_over,max_h_diff_ts)                       ! Apply a limit
                    h_ip_1d(ji) = MAX(0._wp, h_ip_1d(ji) + dh_ip_over)
                    a_ip_frac_1d(ji) = h_ip_1d(ji) / zpnd_aspect
Index: NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/OCE/SBC/sbccpl.F90	(revision 12605)
+++ NEMO/branches/UKMO/NEMO_4.0.1_fix_cpl/src/OCE/SBC/sbccpl.F90	(revision 12686)
@@ -263,4 +263,5 @@
       NAMELIST/namsbc_cpl/  sn_snd_temp  , sn_snd_alb   , sn_snd_thick, sn_snd_crt   , sn_snd_co2  ,   & 
          &                  sn_snd_ttilyr, sn_snd_cond  , sn_snd_mpnd , sn_snd_sstfrz, sn_snd_thick1,  & 
+         &                  ln_scale_ice_fluxes,                                                       &
          &                  sn_snd_ifrac , sn_snd_crtw  , sn_snd_wlev , sn_rcv_hsig  , sn_rcv_phioc,   & 
          &                  sn_rcv_w10m  , sn_rcv_taumod, sn_rcv_tau  , sn_rcv_dqnsdt, sn_rcv_qsr  ,   & 
@@ -269,5 +270,5 @@
          &                  sn_rcv_iceflx, sn_rcv_co2   , nn_cplmodel , ln_usecplmask, sn_rcv_mslp ,   &
          &                  sn_rcv_icb   , sn_rcv_isf   , sn_rcv_wfreq , sn_rcv_tauw, nn_cats_cpl  ,   &
-         &                  sn_rcv_ts_ice, ln_scale_ice_fluxes
+         &                  sn_rcv_ts_ice
 
       !!---------------------------------------------------------------------
@@ -292,4 +293,5 @@
       ENDIF
       IF( lwp .AND. ln_cpl ) THEN                        ! control print
+         WRITE(numout,*)'  ln_scale_ice_fluxes                 = ', ln_scale_ice_fluxes
          WRITE(numout,*)'  received fields (mutiple ice categogies)'
          WRITE(numout,*)'      10m wind module                 = ', TRIM(sn_rcv_w10m%cldes  ), ' (', TRIM(sn_rcv_w10m%clcat  ), ')'
@@ -343,5 +345,4 @@
          WRITE(numout,*)'  ln_usecplmask                       = ', ln_usecplmask
          WRITE(numout,*)'  nn_cats_cpl                         = ', nn_cats_cpl
-         WRITE(numout,*)'  ln_scale_ice_fluxes                 = ', ln_scale_ice_fluxes
       ENDIF
 