Index: NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/axis_def_nemo.xml
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/axis_def_nemo.xml	(revision 12706)
+++ NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/axis_def_nemo.xml	(revision 12706)
@@ -0,0 +1,1 @@
+link ../../SHARED/axis_def_nemo.xml
Index: NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml	(revision 12705)
+++ NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml	(revision 12706)
@@ -5,42 +5,35 @@
 -->
 <context id="nemo">
-<!-- $id$ -->
+    <!-- $id$ -->
     <variable_definition>
-    <!-- Year of time origin for NetCDF files; defaults to 1800 -->
-       <variable id="ref_year" type="int"   > 1800 </variable>
-       <variable id="rau0"     type="float" > 1026.0 </variable>
-       <variable id="cpocean"  type="float" > 3991.86795711963 </variable>
-       <variable id="convSpsu" type="float" > 0.99530670233846  </variable>
-       <variable id="rhoic"    type="float" > 917.0 </variable>
-       <variable id="rhosn"    type="float" > 330.0 </variable>
-       <variable id="missval"  type="float" > 1.e20 </variable>
+       <!-- Year/Month/Day of time origin for NetCDF files; defaults to 1800-01-01 -->
+       <variable id="ref_year"  type="int"> 1900 </variable>
+       <variable id="ref_month" type="int"> 01 </variable>
+       <variable id="ref_day"   type="int"> 01 </variable>
+       <variable id="rau0"      type="float" > 1026.0 </variable>
+       <variable id="cpocean"   type="float" > 3991.86795711963 </variable>
+       <variable id="convSpsu"  type="float" > 0.99530670233846  </variable>
+       <variable id="rhoic"     type="float" > 917.0 </variable>
+       <variable id="rhosn"     type="float" > 330.0 </variable>
+       <variable id="missval"   type="float" > 1.e20 </variable>
     </variable_definition>
+
 <!-- Fields definition -->
-    <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
+    <field_definition src="./field_def_nemo-oce.xml"/>      <!--  NEMO ocean dynamics                     -->
     <field_definition src="./field_def_nemo-pisces.xml"/>   <!--  NEMO ocean dynamics                     -->
 
+
 <!-- Files definition -->
-    <file_definition src="./file_def_nemo.xml"/>     
-    <!-- 
-============================================================================================================
-= grid definition = = DO NOT CHANGE =
-============================================================================================================
-    -->
-    
-    <axis_definition>
-      <axis id="deptht"  long_name="Vertical T levels" unit="m" positive="down" />
-      <axis id="depthu"  long_name="Vertical U levels" unit="m" positive="down" />
-      <axis id="depthv"  long_name="Vertical V levels" unit="m" positive="down" />
-      <axis id="depthw"  long_name="Vertical W levels" unit="m" positive="down" />
-      <axis id="nfloat"  long_name="Float number"      unit="-"                 />
-      <axis id="icbcla"  long_name="Iceberg class"     unit="1"                 />
-      <axis id="ncatice" long_name="Ice category"      unit="1"                 />
-      <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
-      <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
-    </axis_definition>
+    <file_definition src="./file_def_nemo.xml"/>     <!--  NEMO ocean dynamics                     -->
+
+<!-- Axis definition -->
+    <axis_definition src="./axis_def_nemo.xml"/>
  
+<!-- Domain definition -->
     <domain_definition src="./domain_def_nemo.xml"/>
+
+<!-- Grids definition -->
+    <grid_definition   src="./grid_def_nemo.xml"/>
   
-    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 12705)
+++ NEMO/branches/UKMO/NEMO_4.0.2_ENHANCE-02_ISF_nemo/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 12706)
@@ -224,5 +224,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")