Index: NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/file_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/file_def_nemo-oce.xml	(revision 12717)
+++ NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/file_def_nemo-oce.xml	(revision 12718)
@@ -53,5 +53,4 @@
         <file id="file4" name_suffix="_grid_W" description="ocean W grid variables" >
           <field field_ref="e3w" />
-          <field field_ref="woce"         name="wo"       />
           <field field_ref="avt"          name="difvho"   />
         </file>
Index: NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 12717)
+++ NEMO/branches/2020/r12581_ticket2418/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 12718)
@@ -49,4 +49,6 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
+   ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
+   !
    rn_Dt      =  360.     !  time step for the dynamics and tracer
 /
@@ -358,7 +360,4 @@
 &namdyn_spg    !   surface pressure gradient                            (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynspg_ts   = .true.   ! split-explicit free surface
-      ln_bt_fw      = .false.     ! Forward integration of barotropic Eqs.
-      ln_bt_av      = .true.     ! Time filtering of barotropic variables
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/r12581_ticket2418/src/OCE/C1D/step_c1d.F90
===================================================================
--- NEMO/branches/2020/r12581_ticket2418/src/OCE/C1D/step_c1d.F90	(revision 12717)
+++ NEMO/branches/2020/r12581_ticket2418/src/OCE/C1D/step_c1d.F90	(revision 12718)
@@ -85,5 +85,5 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                          CALL dia_wri( kstp, Nnn )  ! ocean model: outputs
-      IF( lk_diahth  )   CALL dia_hth( kstp, Nnn )  ! Thermocline depth (20°C)
+                         CALL dia_hth( kstp, Nnn )  ! Thermocline depth (20°C)
 
 
@@ -108,7 +108,5 @@
                         CALL eos( ts(:,:,:,:,Nnn), rhd, rhop, gdept_0(:,:,:) )  ! now potential density for zdfmxl
       IF( ln_zdfnpc )   CALL tra_npc( kstp,      Nnn, Nrhs, ts, Naa   )         ! applied non penetrative convective adjustment on (t,s)
-                        CALL tra_atf( kstp, Nbb, Nnn, Nrhs,     Naa, ts   )     ! time filtering of "now" tracer fields
-
-
+                        CALL tra_atf( kstp, Nbb, Nnn, Naa, ts )                 ! time filtering of "now" tracer arrays
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: NEMO/branches/2020/r12581_ticket2418/tests/STATION_ASF/MY_SRC/stpctl.F90
===================================================================
--- NEMO/branches/2020/r12581_ticket2418/tests/STATION_ASF/MY_SRC/stpctl.F90	(revision 12717)
+++ NEMO/branches/2020/r12581_ticket2418/tests/STATION_ASF/MY_SRC/stpctl.F90	(revision 12718)
@@ -142,7 +142,7 @@
             IF( lwm .AND. kt /= nitend )   istatus = NF90_CLOSE(nrunid)
             ! get global loc on the min/max
-            CALL mpp_maxloc( 'stpctl',    taum(:,:)            , tmask(:,:,1), zzz, iloc(1:2,1) )   ! mpp_maxloc ok if mask = F 
-            CALL mpp_maxloc( 'stpctl',ABS( qns(:,:) )          , tmask(:,:,1), zzz, iloc(1:2,2) )
-            CALL mpp_minloc( 'stpctl',     emp(:,:) - 273.15_wp, tmask(:,:,1), zzz, iloc(1:2,3) )
+            CALL mpp_maxloc( 'stpctl',    taum(:,:)  , tmask(:,:,1), zzz, iloc(1:2,1) )   ! mpp_maxloc ok if mask = F 
+            CALL mpp_maxloc( 'stpctl',ABS( qns(:,:) ), tmask(:,:,1), zzz, iloc(1:2,2) )
+            CALL mpp_minloc( 'stpctl',ABS( emp(:,:) ), tmask(:,:,1), zzz, iloc(1:2,3) )
             ! find which subdomain has the max.
             zarea(:) = 0._wp
@@ -153,7 +153,7 @@
          ELSE                    ! find local min and max locations:
             ! if we are here, this means that the subdomain contains some oce points -> no need to test the mask used in maxloc
-            iloc(1:2,1) = MAXLOC(     taum(:,:)            , mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
-            iloc(1:2,2) = MAXLOC( ABS( qns(:,:) )          , mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
-            iloc(1:2,3) = MINLOC(      emp(:,:) - 273.15_wp, mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
+            iloc(1:2,1) = MAXLOC(     taum(:,:)  , mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
+            iloc(1:2,2) = MAXLOC( ABS( qns(:,:) ), mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
+            iloc(1:2,3) = MINLOC( ABS( emp(:,:) ), mask = llmsk ) + (/ nimpp - 1, njmpp - 1/)
             zarea(:) = narea     ! this is local information
          ENDIF